CERT NetSA Security Suite
Monitoring for Large-Scale Networks

# fixbuf

Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fbInfoElementSpec_st Struct Reference

A single IPFIX Information Element specification. More...

`#include <public.h>`

## Data Fields

char * | name
| Information element name.
uint16_t | len_override
| Length override; if nonzero, replace the length of the IE from the model with this length. More...
uint32_t | flags
| Application flags word. More...

## Detailed Description

A single IPFIX Information Element specification.

Used to name an information element for inclusion in a template by fbTemplateAppendSpecArray().

## Field Documentation

uint32_t fbInfoElementSpec_st::flags

Application flags word.

If nonzero, then the flags argument to fbTemplateAppendSpec() or fbTemplateAppendSpecArray() MUST match at least one bit of this flags word in order for the information element to be appended.

uint16_t fbInfoElementSpec_st::len_override

Length override; if nonzero, replace the length of the IE from the model with this length.

Used for reduced-length encoding.

The documentation for this struct was generated from the following file:

- public.h